Subject: bug#32896: closed (Re: bug#32896: 27.0.50; wishlist: Delete matching pairs)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 08 Oct 2018 23:09:03 +0000

Your bug report

#32896: 27.0.50; wishlist: Delete matching pairs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32896: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32896
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32896: 27.0.50; wishlist: Delete matching pairs
From: Juri Linkov <[email-masked]>
To: Alex Branham <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 Oct 2018 01:15:30 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> It would be nice if Emacs had a command to remove matching pairs of
> things so that (with | representing point):
>
> (|let (message "%s" "foobar"))
>
> I could delete the parens around the let function. This should work for
> other pairs too:
>
> (let ((foobar "foobar")) (message "%s" "|foobar"))
>
> to delete the quotes around the second "foobar"
>
> I know there are 3rd-party packages that implement this but it seems
> like this should be included with Emacs since it's such a great tool for
> editing.

Fortunately, Emacs already has such a command named ‘delete-pair’:
it deletes the parens around the let function as in your first
example as well as the quotes in your second example.  It makes
sense to bind this command to e.g. ‘C-x M-(’ to be the inverse of
‘M-(’ (insert-pair)

Subject: 27.0.50; wishlist: Delete matching pairs
From: Alex Branham <[email-masked]>
To: [email-masked]
Date: Mon, 01 Oct 2018 09:34:43 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

It would be nice if Emacs had a command to remove matching pairs of
things so that (with | representing point):

(|let (message "%s" "foobar"))

I could delete the parens around the let function. This should work for
other pairs too:

(let ((foobar "foobar")) (message "%s" "|foobar"))

to delete the quotes around the second "foobar"

I know there are 3rd-party packages that implement this but it seems
like this should be included with Emacs since it's such a great tool for
editing.

Alex